Home
last modified time | relevance | path

Searched +full:echo +full:- +full:gpios (Results 1 – 25 of 51) sorted by relevance

123

/openbmc/linux/Documentation/devicetree/bindings/iio/proximity/
H A Ddevantech-srf04.yaml1 # SPDX-License-Identifier: GPL-2.0
3 ---
4 $id: http://devicetree.org/schemas/iio/proximity/devantech-srf04.yaml#
5 $schema: http://devicetree.org/meta-schemas/core.yaml#
10 - Andreas Klinger <ak@it-klinger.de>
13 Bit-banging driver using two GPIOs:
14 - trigger-gpio is raised by the driver to start sending out an ultrasonic
16 - echo-gpio is held high by the sensor after sending ultrasonic burst
20 https://www.robot-electronics.co.uk/htm/srf04tech.htm
22 https://www.maxbotix.com/documents/LV-MaxSonar-EZ_Datasheet.pdf
[all …]
H A Dparallax-ping.yaml1 # SPDX-License-Identifier: (GPL-2.0-or-later OR BSD-2-Clause)
3 ---
4 $id: http://devicetree.org/schemas/iio/proximity/parallax-ping.yaml#
5 $schema: http://devicetree.org/meta-schemas/core.yaml#
10 - Andreas Klinger <ak@it-klinger.de>
13 Bit-banging driver using one GPIO:
14 - ping-gpios is raised by the driver to start measurement
15 - direction of ping-gpio is then switched into input with an interrupt
19 http://parallax.com/sites/default/files/downloads/28041-LaserPING-2m-Rangefinder-Guide.pdf
20 http://parallax.com/sites/default/files/downloads/28015-PING-Documentation-v1.6.pdf
[all …]
/openbmc/linux/Documentation/devicetree/bindings/pps/
H A Dpps-gpio.yaml1 # SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
3 ---
4 $id: http://devicetree.org/schemas/pps/pps-gpio.yaml#
5 $schema: http://devicetree.org/meta-schemas/core.yaml#
10 - Fabio Estevam <festevam@gmail.com>
14 const: pps-gpio
16 gpios:
20 echo-gpios:
21 description: The GPIO that provides the PPS ECHO signal.
24 echo-active-ms:
[all …]
/openbmc/openbmc/meta-google/recipes-google/gpio/gpio-ctrl/
H A Dlib.sh8 # http://www.apache.org/licenses/LICENSE-2.0
18 [ -n "${gpio_ctrl_init-}" ] && return
20 # Map names of GPIOs to GPIO number
22 declare -A GPIO_NAMES_TO_SCM=(
31 # named GPIOs
32 shopt -s nullglob
33 for conf in /usr/share/gpio-ctrl/conf.d/*.sh; do
38 declare -A gpio_sysfs_lookup_cache=()
39 declare -A gpio_lookup_cache=()
41 declare -A gpio_init=()
[all …]
/openbmc/linux/Documentation/admin-guide/gpio/
H A Dgpio-aggregator.rst1 .. SPDX-License-Identifier: GPL-2.0-only
6 The GPIO Aggregator provides a mechanism to aggregate GPIOs, and expose them as
10 Aggregating GPIOs using Sysfs
11 -----------------------------
15 system permissions, on an all-or-nothing basis: either a GPIO controller is
18 The GPIO Aggregator provides access control for a set of one or more GPIOs, by
21 simplifies and hardens exporting GPIOs to a virtual machine, as the VM can just
22 grab the full GPIO controller, and no longer needs to care about which GPIOs to
26 write-only attribute files in sysfs.
28 /sys/bus/platform/drivers/gpio-aggregator/
[all …]
H A Dsysfs.rst7 Documentation/ABI/obsolete/sysfs-gpio AND NEW USERSPACE CONSUMERS
16 ------------------------
18 configure a sysfs user interface to GPIOs. This is different from the
27 then changing its output state, then updating the code before re-enabling
37 PLEASE READ THE DOCUMENT AT Documentation/driver-api/gpio/drivers-on-gpio.rst
41 --------------
44 - Control interfaces used to get userspace control over GPIOs;
46 - GPIOs themselves; and
48 - GPIO controllers ("gpio_chip" instances).
52 The control interfaces are write-only:
[all …]
/openbmc/openbmc/meta-ingrasys/meta-zaius/recipes-phosphor/chassis/vcs-control/
H A Dzaius_vcs.sh1 #!/bin/bash -e
3 # This script assumes that the UCD is controlling VCS rails as GPIOs 5 and 6.
4 # Also assumes that those GPIOs are already enabled.
13 until [ $i -ge $ucd_retries ]; do
18 if [ $i -eq $ucd_retries ]; then exit $ret; fi
25 retry i2cget -f -y $ucd_bus $ucd_addr "$1" b
32 retry i2cset -f -y $ucd_bus $ucd_addr "$1" "$2" b
37 echo -e "\tSetting UCD GPIO 5 to $1"
41 echo -e "\tSetting UCD GPIO 6 to $1"
49 echo Reading VCS settings
[all …]
/openbmc/openbmc/meta-facebook/meta-bletchley/recipes-bletchley/motor-ctrl/files/
H A Dmotor-init1 #!/bin/bash -e
10 # shellcheck source=meta-facebook/meta-bletchley/recipes-bletchley/plat-tools/files/bletchley-commo…
11 source /usr/libexec/bletchley-common-functions
23 echo "Open pwm of sled$SLED_NUM"
26 if [ ! -d "$PWM_PATH" ];then
27 echo "$PWM_NUM" > "${PWM_CLASS_PATH}/export"
29 if [ -d "$PWM_PATH" ];then
30 echo "set pwm period to $PWM_PERIOD ns"
31 if ! echo "$PWM_PERIOD" > "${PWM_PATH}/period"; then
32 echo "Error: set pwm period fail"
[all …]
/openbmc/openbmc/meta-hpe/meta-rl300-g11/recipes-hpe/power-sequencing/files/
H A Dgpios-manager.sh2 # File which is managing GPIOS when detected. First parameter is which GPIOs that switched
7 …busctl set-property xyz.openbmc_project.Chassis.Gpios /xyz/openbmc_project/chassis/gpios xyz.openb…
8 smproStatus=$(lsmod | grep smpro-mfd)
12 # We need to wait for the SoC to be ready to communicate - We just received the PGOOD signal
26 max_retry=$(( max_retry - 1))
34 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
35 i2ctransfer -y 3 w2@0x40 0x34 0xa7 r1
38 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
39 i2ctransfer -y 3 w2@0x40 0x34 0xa7 r1
42 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
[all …]
H A Dpower-button.sh2 # File which is managing GPIOS when detected. First parameter is which GPIOs that switched
5 …busctl set-property xyz.openbmc_project.Chassis.Gpios /xyz/openbmc_project/chassis/gpios xyz.openb…
9 …busctl set-property xyz.openbmc_project.Chassis.Gpios /xyz/openbmc_project/chassis/gpios xyz.openb…
12 echo "$1" >> /tmp/buttons.txt
/openbmc/openbmc/meta-ampere/meta-mitchell/recipes-ampere/platform/ampere-platform-init/
H A Dmtmitchell_platform_gpios_init.sh7 if [[ ! -e /dev/rtc0 ]]; then
8 echo "Bind rtc driver"
9 echo 6-0051 > /sys/bus/i2c/drivers/rtc-pcf85063/bind
13 function pre-platform-init() {
14 echo "Do pre platform init"
17 function post-platform-init() {
22 pgood=$(gpioget $(gpiofind power-chassis-good))
24 echo "PSU is on. Setting PSON to 0"
25 gpioset $(gpiofind power-chassis-control)=0
27 echo "PSU is off. Setting PSON to 1"
[all …]
/openbmc/openbmc/meta-hpe/meta-dl360-g11/recipes-hpe/power-sequencing/files/
H A Dgpios-manager.sh2 # File which is managing GPIOS when detected. First parameter is which GPIOs that switched
5 …busctl set-property xyz.openbmc_project.Chassis.Gpios /xyz/openbmc_project/chassis/gpios xyz.openb…
12 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
14 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
16 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
18 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
20 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
22 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
24 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
26 i2ctransfer -y 3 w4@0x40 0x34 0xbf 0x00 0xe8
[all …]
H A Dpower-button.sh2 # File which is managing GPIOS when detected. First parameter is which GPIOs that switched
5 …busctl set-property xyz.openbmc_project.Chassis.Gpios /xyz/openbmc_project/chassis/gpios xyz.openb…
9 …busctl set-property xyz.openbmc_project.Chassis.Gpios /xyz/openbmc_project/chassis/gpios xyz.openb…
12 echo "$1" >> /tmp/buttons.txt
/openbmc/openbmc/meta-ampere/meta-jade/recipes-ampere/platform/ampere-platform-init/
H A Dmtjade_platform_gpios_init.sh3 function pre-platform-init() {
4 echo "Do pre platform init"
8 function post-platform-init() {
9 echo "Do post platform init"
13 # add device enable, mux setting, device select gpios
14 "ext-hightemp-n"
15 "vr-pmbus-sel-n"
16 "i2c6-reset-n"
17 "i2c-backup-sel"
18 "power-chassis-control"
[all …]
/openbmc/openbmc/meta-ampere/meta-jefferson/recipes-ampere/platform/ampere-platform-init/
H A Dampere_platform_init.sh8 ADT7462=/sys/bus/i2c/drivers/adt7462/8-005c
9 if [ -d "$ADT7462" ]; then
10 echo "Unbind the ADT7462 driver"
11 echo 8-005c > /sys/bus/i2c/drivers/adt7462/unbind
16 i2cset -f -y 0x08 0x5c 0x2c 0xff
19 val=$(i2cget -f -y 0x08 0x5c 0x02)
21 i2cset -f -y 0x08 0x5c 0x02 $val
24 i2cset -f -y 0x08 0x5c 0x07 0xff
27 for i in $(seq 0 $((4 - 1)))
31 val=$(i2cget -f -y 0x08 0x5c $reg_pwm_cfg)
[all …]
/openbmc/linux/drivers/iio/proximity/
H A Dsrf04.c1 // SPDX-License-Identifier: GPL-2.0-or-later
3 * SRF04: ultrasonic sensor for distance measuring by using GPIOs
5 * Copyright (c) 2017 Andreas Klinger <ak@it-klinger.de>
8 * https://www.robot-electronics.co.uk/htm/srf04tech.htm
12 * +---+
14 * trig: --+ +------------------------------------------------------
16 * |<->|
19 * ultra +-+ +-+ +-+
21 * burst: ---------+ +-+ +-+ +-----------------------------------------
23 * ultra . +-+ +-+ +-+
[all …]
H A Dping.c1 // SPDX-License-Identifier: GPL-2.0-or-later
3 * PING: ultrasonic sensor for distance measuring by using only one GPIOs
5 * Copyright (c) 2019 Andreas Klinger <ak@it-klinger.de>
8 * http://parallax.com/sites/default/files/downloads/28041-LaserPING-2m-Rangefinder-Guide.pdf
9 * http://parallax.com/sites/default/files/downloads/28015-PING-Documentation-v1.6.pdf
16 * |<->| interrupt interrupt
18 * |<---------------------->|
20 * . --> one round trip of ultra sonic waves
27 * echo: __________________________________/ \_/ \_/ \________________
80 if (gpiod_get_value(data->gpiod_ping)) { in ping_handle_irq()
[all …]
/openbmc/openbmc/meta-quanta/meta-q71l/recipes-phosphor/quanta-powerctrl/files/
H A Dinit_once.sh3 # Set all output GPIOs as such and drive them with reasonable values.
5 if [ $# -ne 2 ]; then
6 echo "set_gpio_active_low: need both GPIO# and initial level";
10 echo "$1" > /sys/class/gpio/export
11 echo 1 > "/sys/class/gpio/gpio$1/active_low"
12 echo "$2" > "/sys/class/gpio/gpio$1/direction"
/openbmc/openbmc/meta-facebook/meta-tiogapass/recipes-tiogapass/fb-powerctrl/files/
H A Dsetup_gpio3 # Set all output GPIOs as such and drive them with reasonable values.
5 if [ $# -ne 2 ]; then
6 echo "set_gpio_active_low: need both GPIO# and initial level";
10 echo "$1" > /sys/class/gpio/export
11 echo "$2" > "/sys/class/gpio/gpio$1/direction"
/openbmc/openbmc/meta-fii/meta-mori/recipes-mori/mori-fw-utility/mori-fw/
H A Dmori-lib.sh3 # Disable check for usage of the definitions within mori-lib.sh
8 # line-name
13 if [ -z "$CHIP_PIN" ]; then
14 echo "Could not find GPIO with name: $1"
18 if [ "${CHIP_PIN[0]}" -gt 7 ]; then
20 grep -o '\[.*]' | tr -d ' \[\]')
22 exit; ls -1 -v)
25 exit ; ls -1 -d -v gpiochip*)
30 count=$(echo "$GPIO_BANKS" | wc -w)
33 if [[ $(gpiofind "$1" | cut -d " " -f 1) == "$X" ]]; then
[all …]
/openbmc/linux/Documentation/misc-devices/
H A Dc2port.rst1 .. SPDX-License-Identifier: GPL-2.0
23 --------
26 C2 Interface used for in-system programming of micro controllers.
28 By using this driver you can reprogram the in-system flash without EC2
30 where the micro controller is connected via special GPIOs pins.
33 ----------
38 - AN127: FLASH Programming via the C2 Interface at
41 - C2 Specification at
45 banging) designed to enable in-system programming, debugging, and
46 boundary-scan testing on low pin-count Silicon Labs devices. Currently
[all …]
/openbmc/openbmc/meta-fii/meta-mori/recipes-mori/mori-sys-utility/mori-cmd/
H A Dmori.sh5 # shellcheck source=meta-fii/meta-mori/recipes-mori/mori-fw-utility/mori-fw/mori-lib.sh
6 source /usr/libexec/mori-fw/mori-lib.sh
9 echo " mori rst [parameter]"
10 echo " system --> reset the host"
11 echo " btn --> trigger a power button event"
12 echo " shutdown --> send out shutdown signal to CPU"
13 echo " display --> "
17 echo " mori led 'attn'/'boot' [parameter]"
18 echo " on --> turn led on"
19 echo " off --> turn led off"
[all …]
/openbmc/openbmc/meta-quanta/meta-gbs/recipes-gbs/gbs-sysinit/files/
H A Dgbs-gpio-common.sh9 # http://www.apache.org/licenses/LICENSE-2.0
20 # Map names of GPIOs to GPIO number
21 declare -A GPIO_NAMES_TO_NUMBER=(
49 declare -A GPIO_NAMES_TO_ACTIVE_LOW=(
85 # 0 if success, non-zero if error
89 echo "Usage: init_gpio name" >&2
96 if [[ -z ${number} ]]; then
97 echo "Missing number info for: ${name}" >&2
102 if [[ -z ${active_low} ]]; then
103 echo "Missing active_low info for: ${name}" >&2
[all …]
/openbmc/openbmc/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/
H A Dlib.sh8 # http://www.apache.org/licenses/LICENSE-2.0
18 [ -n "${host_pwr_init-}" ] && return
20 # shellcheck source=meta-google/recipes-google/gpio/gpio-ctrl/lib.sh
21 source /usr/share/gpio-ctrl/lib.sh || exit
40 # named GPIOs
41 shopt -s nullglob
42 for conf in /usr/share/gpio-host-pwr/conf.d/*.sh; do
50 # 0 if success, non-zero if error
55 if [ -n "${DONT_STOP_WATCHDOG-}" ]; then
59 echo 'Stopping the host watchdog' >&2
[all …]
/openbmc/u-boot/include/configs/
H A Dcm_t54.h1 /* SPDX-License-Identifier: GPL-2.0+ */
3 * Config file for Compulab CM-T54 board
5 * Copyright (C) 2014, Compulab Ltd - http://compulab.co.il/
25 /* Enable SD/MMC CD and WP GPIOs */
87 "fdtfile=omap5-sbc-t54.dtb\0" \
88 "kernel=zImage-cm-t54\0" \
89 "ramdisk=ramdisk-cm-t54.img\0" \
103 "mmcbootscript=echo Running bootscript from mmc${mmcdev}...; " \
105 "mmcbootlinux=echo Booting from mmc${mmcdev} ...; " \
118 "setenv rdaddr - ; " \

123